/****************************************************************/
/*																*/
/*	White Glove Tracking 										*/
/*	www.whiteglovetracking.com									*/
/*	06.26.07													*/
/*	evan@ni9e.com												*/
/*																*/
/****************************************************************/

#include "testApp.h"
#include "stdio.h"

//--------------------------------------------------------------
testApp::testApp(){
	
}

//--------------------------------------------------------------
void testApp::setup(){	 
	
	ofBackground(255,255,255);	
	
	//LOADING DATA FROM TEXT FILE INTO IO OBJECT
	IO = new dataIO();
	IO->load_data("wgt_data_v1.txt");
	printf("There are %d frames total\n", IO->frame);
	
	//LOAD MOVIE
	billyjean.loadMovie("movies/billyjean_640_480_65mb.mov");
	movDuration = billyjean.getDuration();
}

//--------------------------------------------------------------
void testApp::update(){
	
	billyjean.idleMovie();
	movTime = movDuration * billyjean.getPosition();
	movFrame = int(29.97 * movTime);
}

//--------------------------------------------------------------
void testApp::draw(){
	
	ofSetColor(0xFFFFFF);
	
	//DRAW MOVIE
	billyjean.draw(0,0);
	
	//DRAW YELLOW BOX
	ofSetColor(0xfdff00);	
	ofNoFill();
	ofRect(float(IO->x_pts[movFrame]),IO->y_pts[movFrame],IO->w_pts[movFrame], IO->h_pts[movFrame]);
}

//--------------------------------------------------------------
void testApp::keyPressed  (int key){ 
	
}

//--------------------------------------------------------------
void testApp::mouseMoved(int x, int y ){
	
}

//--------------------------------------------------------------
void testApp::mouseDragged(int x, int y, int button){

}

//--------------------------------------------------------------
void testApp::mousePressed(int x, int y, int button){
}

//--------------------------------------------------------------
void testApp::mouseReleased(){
}
